você está aqui: Home  → Arquivo de Mensagens

Lucid Lynx + Java

Colaboração: Vanderlei Busnardo Filho

Data de Publicação: 05 de junho de 2010

Alguns já devem ter percebido que a nova versão do Ubuntu vem com o OpenJRE e OpenJDK instalados por padrão. Pois bem, descobri isso ao acessar o Site do Banco do Brasil e, infelizmente, constatar que a "solução de segurança" do BB não é compatível com a opção de código aberto. Como os pacotes Java da Sun foram movidos para os reposítorios "partner" da Canonical, temos que habilitá-los para instalar o Java da Sun.

Como fazer

Remover o OpenJDK/OpenJRE

  1. Sistema, Administração, Gerenciador de Pacotes Synaptic;
  2. Clique em Procurar, digite "openjdk", selecione a opção "Nome" e clique em "Procurar";
  3. Remova os pacotes do openjdk e openjre que estiverem instalados;

Habilitar e corrigir o endereço do repositório "partner" do Ubuntu

  1. Ainda no Synaptic, clique em "Configuração", "Repositório" e clique na aba "Outro Software";
  2. ATENÇÃO AQUI! Marque a opção "http://archive.canonical.com/ubuntu jaunty partner" e clique em "Editar";
  3. No campo "Distribuição", substitua "jaunty" por "lucid" e clique em "Ok";
  4. Clique em "Fechar" nas duas janelas seguintes, atualize a lista de pacotes clicando em "Recarregar";
  5. Clique em "Procurar", digite "sun-java" e instale os seguintes pacotes:
    • sun-java6-bin
    • sun-java6-fonts
    • sun-java6-jre
    • sun-java6-plugin

OBS: Caso utilize Ubuntu 64bits instale também o pacote ia32-sun-java6-bin

Pronto, agora o site do BB já estará operacional novamente.



 

 

Veja a relação completa dos artigos de Vanderlei Busnardo Filho

Opinião dos Leitores

Pedro Valle
03 Jun 2011, 01:22
Valeu pela dica!
Agora estou conseguindo acessar o site do SICOOB.
*Nome:
Email:
Me notifique sobre novos comentários nessa página
Oculte meu email
*Texto:
 
  Para publicar seu comentário, digite o código contido na imagem acima
 


Powered by Scriptsmill Comments Script